LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
lives_param_t Struct Reference

`#include <plugins.h>`

## Data Fields
char * | name
char * | desc
char * | label
int | flags
boolean | use_mnemonic
fn_ptr | interp_func
fn_ptr | display_func
int | hidden
double | step_size
boolean | transition
boolean | reinit
boolean | wrap
int | group
lives_param_type_t | type
int | dp
| decimals, 0 for int and bool More...
void * | value
| current value(s) More...
double | min
double | max
| for string this is max characters More...
void * | def
| default values More...
LiVESList * | list
| for string list (choices) More...
short | multi
| multivalue type - single value, multi value, or per channel More...
LiVESWidget * | widgets [MAX_PARAM_WIDGETS]
| TODO - change to LiVESWidget **widgets, terminated with a NULL. More...
boolean | onchange
| is there a trigger ? More...
boolean | changed
boolean | change_blocked
void * | source
lives_rfx_source_t | source_type
lives_param_special_t | special_type
int | special_type_index

## Field Documentation

boolean lives_param_t::change_blocked

boolean lives_param_t::changed

void* lives_param_t::def

default values

char* lives_param_t::desc

fn_ptr lives_param_t::display_func

int lives_param_t::dp

decimals, 0 for int and bool

int lives_param_t::flags

int lives_param_t::group

int lives_param_t::hidden

fn_ptr lives_param_t::interp_func

char* lives_param_t::label

LiVESList* lives_param_t::list

for string list (choices)

double lives_param_t::max

for string this is max characters

double lives_param_t::min

short lives_param_t::multi

multivalue type - single value, multi value, or per channel

char* lives_param_t::name

boolean lives_param_t::onchange

is there a trigger ?

boolean lives_param_t::reinit

void* lives_param_t::source

lives_rfx_source_t lives_param_t::source_type

lives_param_special_t lives_param_t::special_type

int lives_param_t::special_type_index

double lives_param_t::step_size

boolean lives_param_t::transition

lives_param_type_t lives_param_t::type

boolean lives_param_t::use_mnemonic

void* lives_param_t::value

current value(s)

LiVESWidget* lives_param_t::widgets[MAX_PARAM_WIDGETS]

TODO - change to LiVESWidget **widgets, terminated with a NULL.

widgets which hold value/RGBA settings

boolean lives_param_t::wrap

The documentation for this struct was generated from the following file:

- src/plugins.h